Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156180 - Montage labels not rendered
Summary: Montage labels not rendered
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-28 08:40 UTC by Samuli Kärkkäinen
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-27 19:08:04 UTC


Attachments (Terms of Use)

Description Samuli Kärkkäinen 2005-04-28 08:40:43 UTC
With ImageMagick-6.2.2.0-1.fc3 command "montage -label a in1.jpg -label b
in2.jpg out.jpg" creates an image with no labels at all. With ImageMagick of the
previous FC3 update, every thumbnail had the last given label. Before that,
labels worked right.

Comment 1 Leonard Evens 2005-05-08 19:47:47 UTC
I've experienced the same problem.  I also tried adding a pointsize option in
addition to see if it made any difference, but it didn't.

In addition, the ImageMagick and component program man pages have very little
useful information.  You are instructed to do "progr_name" -help, which lists
the options but it otherwise not very helpful.  Info gives you the same
information as the web page.  Moreover, I couldn't find any information on the
ImageMagick webpage.

At least some other options like -flip still work.

Comment 2 Leonard Evens 2005-05-13 13:59:58 UTC
I've fiddled with the debug option and spent a little time looking at the code.
 I think montage may not be parsing the command line correctly and it may just
be losing the label.  But this is really just a guess.

I hope this problem will be addressed soon since I use montage regularly in my
workflow.

Comment 3 Leonard Evens 2005-05-17 14:06:11 UTC
The problem appears to be fixed in ImagageMagick 6.2.2.-4.  I downloaded and
installed the rpm package, which is indicated as being for Fedora Core 3.  the
only problem I encountered is that rpm seemed to think the current FC3 version
was newer although it wasn't, so I had to use the --oldpackage option.

I'm not sure why this is taking so long.

Comment 4 Matthias Clasen 2005-05-18 21:03:42 UTC
6.2.2-4 doesn't seem to fix the issue for me.

Comment 5 Leonard Evens 2005-05-18 23:20:08 UTC
I used the command
montage -label xxxx im1.jpg x.png
Then
display x.png
shows me im1.jpg with the label xxxx
It also works with my shell script which uses
montage -label %f *.jpg  /d/index/$1.png
$1 an argument to the script.  This takes all the files *.jpg in the current
directories, puts them in a montage file with file names as labels.

Just what goes wrong for you?

But

display -label name image_file

still doesn't add the label to the displayed image.  I don't know if it is
supposed to or not.


Comment 6 Matthew Miller 2006-07-10 20:55:27 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!



Note You need to log in before you can comment on or make changes to this bug.